"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetService = void 0;
const glob_config_1 = require("../Ipc-main/glob-config");
class NetService {
    get messageService() {
        return window[glob_config_1.GlobConfig.netMessageBridgeService];
    }
    send(msg) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.messageService) {
                return Promise.reject("net service not inject");
            }
            if (!msg) {
                return Promise.reject("net service not inject");
            }
            const data = JSON.stringify(msg);
            const result = yield this.messageService.send(data);
            Promise.resolve(JSON.parse(result));
            return Promise.resolve(null);
        });
    }
}
exports.NetService = NetService;
