import { IMessage } from "../interface/IMessage";
import { GlobConfig } from "../Ipc-main/glob-config";

export interface IMessageInstance {
  send(msg: string): Promise<string>;
}

export class NetService {
  private get messageService(): IMessageInstance {
    return (window as any)[GlobConfig.netMessageBridgeService] as IMessageInstance;
  }

  async send(msg: IMessage): Promise<any> {
    if (!this.messageService){
      return Promise.reject("net service not inject");
    }
    if (!msg){
      return Promise.reject("net service not inject");
    }
    const data = JSON.stringify(msg);
    const result = await this.messageService.send(data);
    Promise.resolve(JSON.parse(result));
    return Promise.resolve(null);
  }
}